%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Classe utilise pour des nouvelles, romans, etc.
% Auteur : Fred <neryel@rolys.org>
% Vous pouvez modifier et redistribuer ce fichier sous les conditions
% de la GNU General Public License.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Bibliothques
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{livre}[03/03/05 v0.1 Package facilitant la cration
d'une prsentation adapte  une nouvelle ou  un roman]

\LoadClass[10pt,openany]{book}
\RequirePackage{ifthen}
\RequirePackage{fancyhdr}
%\RequirePackage[francais]{babel}
\RequirePackage[frenchb]{babel}
%\RequirePackage[T1]{fontenc}
\RequirePackage{aeguill}
\RequirePackage{geometry}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Mise en page 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Affichage en A4 avec marges raisonnables
\geometry{verbose, a4paper} 
% En-tetes
\pagestyle{fancyplain} 
%En-tete gauche [paire]{impaire}
\lhead[\fancyplain{}{\rm\thepage}]{\fancyplain{}{}}
%En-tete droite
\rhead[\fancyplain{}{}]{\fancyplain{}{\rm\thepage}}
%En-tete centre
\chead[\fancyplain{}{\sl \@title}]
{\fancyplain{}{\sl {\@title}}}
%Pied de page
\cfoot{\fancyplain{}{}}

% petites marges, avec un espace plus grand au centre du cahier,
% pour conomiser le papier et faciliter la reliure
\geometry{hmargin=2.5cm, vmargin=2.5cm}
\addtolength{\oddsidemargin}{.5cm}
\addtolength{\evensidemargin}{-.5cm}
%\addtolength{\topmargin}{0.5cm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% (re)dfinition de commandes
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Ligne horizontale
\newcommand{\HRule}{\rule{\linewidth}{1mm}}

\newcommand{\subtitleval}{}
\newcommand{\subtitle}[1]
{\renewcommand{\subtitleval}{#1}}

\newcommand{\fromval}{}
\newcommand{\from}[1]
{\renewcommand{\fromval}{#1}}

% Sparateur de paragaphes
\newcommand{\separateur}{
  \paragraph{}
  \begin{center}
    *****
  \end{center}
  \paragraph{}
}

% Titre
\renewcommand{\maketitle}{
  \thispagestyle{empty}
  \vspace*{\stretch{1}}
  \HRule
  \begin{flushright}
    {\large \@author \\[5mm]}
    {\Huge \@title   \\[5mm]}
    {\huge \subtitleval   \\[5mm]}
    {\large \fromval \\[5mm]}
  \end{flushright}
  
  \HRule

  \vspace*{\stretch{2}}

                                
                                %\vspace*{\stretch{1}}
  
                                %\vspace*{\stretch{1}}
                                %\HRule
                                %\begin{center}
                                %  Texte en bas
                                %\end{center}
}
\newpage


% Commande pour la citation
\newcommand{\citer}[2]{%
  \begin{quote}
    {\emph #1}
  \begin{center}
    -- #2      
  \end{center}
  \end{quote}
}

%Pour les mtadates
\newcommand{\dater}[3]{%
  \vspace{.7cm}
  \begin{flushright}
    \texttt{#1}\\
    \texttt{#2}\\
    \texttt{#3}
  \end{flushright}
  \vspace{.7cm}
  }

%Pour le texte
\newcommand{\penser}[1]{\textit{#1}}
\newcommand{\dire}  [1]{\textsl{#1}}
